{"openapi":"3.0.4","info":{"title":"Get the specific configuration item within an existing set","version":"0.0.1"},"servers":[{"url":"https://fbn-prd.lusid.com/configuration"}],"paths":{"/api/sets/{type}/{scope}/{code}/items/{key}":{"get":{"tags":["ConfigurationSets"],"summary":"Get the specific configuration item within an existing set","operationId":"GetConfigurationItem","parameters":[{"name":"type","in":"path","description":"Whether the configuration set is Personal or Shared","required":true,"schema":{"type":"string"}},{"name":"scope","in":"path","description":"The scope that identifies a configuration set","required":true,"schema":{"maxLength":64,"minLength":1,"pattern":"^[a-zA-Z0-9\\-_]+$","type":"string"}},{"name":"code","in":"path","description":"The code that identifies a configuration set","required":true,"schema":{"maxLength":64,"minLength":1,"pattern":"^[a-zA-Z0-9\\-_]+$","type":"string"}},{"name":"key","in":"path","description":"The key that identifies a configuration item","required":true,"schema":{"maxLength":256,"minLength":1,"pattern":"^[^_][a-zA-Z0-9\\-_]*$","type":"string"}},{"name":"reveal","in":"query","description":"Whether to reveal the secrets. This is only available when the userId query setting has not been specified.","schema":{"type":"boolean"},"x-nullable":true},{"name":"userId","in":"query","description":"Feature that allows Administrators to administer personal settings  (but never reveal the value of secrets) of a specific user.","schema":{"maxLength":64,"minLength":1,"pattern":"^[a-zA-Z0-9\\-_]+$","type":"string"}}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"/docs/api/configuration/schemas.json#/components/schemas/ConfigurationItem"},"example":{"createdAt":"0001-01-01T00:00:00.0000000+00:00","createdBy":"user","lastModifiedAt":"0001-01-01T00:00:00.0000000+00:00","lastModifiedBy":"user","description":"a super secret password","key":"password","value":"Password for System A","valueType":"text","isSecret":true,"ref":"config://shared/official/system-a-config/password","blockReveal":false}},"text/plain":{"schema":{"$ref":"/docs/api/configuration/schemas.json#/components/schemas/ConfigurationItem"},"example":{"createdAt":"0001-01-01T00:00:00.0000000+00:00","createdBy":"user","lastModifiedAt":"0001-01-01T00:00:00.0000000+00:00","lastModifiedBy":"user","description":"a super secret password","key":"password","value":"Password for System A","valueType":"text","isSecret":true,"ref":"config://shared/official/system-a-config/password","blockReveal":false}},"text/json":{"schema":{"$ref":"/docs/api/configuration/schemas.json#/components/schemas/ConfigurationItem"},"example":{"createdAt":"0001-01-01T00:00:00.0000000+00:00","createdBy":"user","lastModifiedAt":"0001-01-01T00:00:00.0000000+00:00","lastModifiedBy":"user","description":"a super secret password","key":"password","value":"Password for System A","valueType":"text","isSecret":true,"ref":"config://shared/official/system-a-config/password","blockReveal":false}}}},"400":{"description":"The details of the input related failure","content":{"application/json":{"schema":{"$ref":"/docs/api/configuration/schemas.json#/components/schemas/LusidValidationProblemDetails"}},"text/plain":{"schema":{"$ref":"/docs/api/configuration/schemas.json#/components/schemas/LusidValidationProblemDetails"}},"text/json":{"schema":{"$ref":"/docs/api/configuration/schemas.json#/components/schemas/LusidValidationProblemDetails"}}}},"404":{"description":"No configuration item exists with the provided identifiers","content":{"application/json":{"schema":{"type":"string"}},"text/plain":{"schema":{"type":"string"}},"text/json":{"schema":{"type":"string"}}}},"default":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"/docs/api/configuration/schemas.json#/components/schemas/LusidProblemDetails"}}}}},"security":[{"BearerAuth":[]}],"x-fbn-apistatus":"Stable"}}},"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}}}}